---
apiVersion: apps/v1
items:
- apiVersion: apps/v1
  kind: ReplicaSet
  metadata:
    annotations:
      deployment.kubernetes.io/desired-replicas: "1"
      deployment.kubernetes.io/max-replicas: "2"
      deployment.kubernetes.io/revision: "1"
    creationTimestamp: "2022-03-08T10:13:57Z"
    generation: 1
    labels:
      app: service-ca-operator
      pod-template-hash: 6fd6454f86
    managedFields:
    - apiVersion: apps/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:deployment.kubernetes.io/desired-replicas: {}
            f:deployment.kubernetes.io/max-replicas: {}
            f:deployment.kubernetes.io/revision: {}
          f:labels:
            .: {}
            f:app: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"7f676927-7e8d-4db7-8e7b-9a38de364595"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:replicas: {}
          f:selector:
            f:matchLabels:
              .: {}
              f:app: {}
              f:pod-template-hash: {}
          f:template:
            f:metadata:
              f:labels:
                .: {}
                f:app: {}
                f:pod-template-hash: {}
              f:name: {}
            f:spec:
              f:containers:
                k:{"name":"service-ca-operator"}:
                  .: {}
                  f:args: {}
                  f:command: {}
                  f:env:
                    .: {}
                    k:{"name":"CONTROLLER_IMAGE"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"OPERATOR_IMAGE_VERSION"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:name: {}
                  f:resources:
                    .: {}
                    f:requests:
                      .: {}
                      f:cpu: {}
                      f:memory: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
                  f:volumeMounts:
                    .: {}
                    k:{"mountPath":"/var/run/configmaps/config"}:
                      .: {}
                      f:mountPath: {}
                      f:name: {}
                    k:{"mountPath":"/var/run/secrets/serving-cert"}:
                      .: {}
                      f:mountPath: {}
                      f:name: {}
              f:dnsPolicy: {}
              f:nodeSelector:
                .: {}
                f:node-role.kubernetes.io/master: {}
              f:priorityClassName: {}
              f:restartPolicy: {}
              f:schedulerName: {}
              f:securityContext: {}
              f:serviceAccount: {}
              f:serviceAccountName: {}
              f:terminationGracePeriodSeconds: {}
              f:tolerations: {}
              f:volumes:
                .: {}
                k:{"name":"config"}:
                  .: {}
                  f:configMap:
                    .: {}
                    f:defaultMode: {}
                    f:name: {}
                  f:name: {}
                k:{"name":"serving-cert"}:
                  .: {}
                  f:name: {}
                  f:secret:
                    .: {}
                    f:defaultMode: {}
                    f:optional: {}
                    f:secretName: {}
        f:status:
          f:availableReplicas: {}
          f:fullyLabeledReplicas: {}
          f:observedGeneration: {}
          f:readyReplicas: {}
          f:replicas: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:42:57Z"
    name: service-ca-operator-6fd6454f86
    namespace: openshift-service-ca-operator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: Deployment
      name: service-ca-operator
      uid: 7f676927-7e8d-4db7-8e7b-9a38de364595
    resourceVersion: "15624"
    selfLink: /apis/apps/v1/namespaces/openshift-service-ca-operator/replicasets/service-ca-operator-6fd6454f86
    uid: a5c70bdd-2578-42c3-80eb-f3b72509d8e5
  spec:
    replicas: 1
    selector:
      matchLabels:
        app: service-ca-operator
        pod-template-hash: 6fd6454f86
    template:
      metadata:
        creationTimestamp: null
        labels:
          app: service-ca-operator
          pod-template-hash: 6fd6454f86
        name: service-ca-operator
      spec:
        containers:
        - args:
          - --config=/var/run/configmaps/config/operator-config.yaml
          - -v=4
          command:
          - service-ca-operator
          - operator
          env:
          - name: CONTROLLER_IMAGE
            value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:bf9539d6f39fdfc4049ed5c3f16ed3b9b97c11408b9b36fc7c2090d1cbddf178
          - name: OPERATOR_IMAGE_VERSION
            value: 4.6.52
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:bf9539d6f39fdfc4049ed5c3f16ed3b9b97c11408b9b36fc7c2090d1cbddf178
          imagePullPolicy: IfNotPresent
          name: service-ca-operator
          resources:
            requests:
              cpu: 10m
              memory: 80Mi
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/run/configmaps/config
            name: config
          - mountPath: /var/run/secrets/serving-cert
            name: serving-cert
        dnsPolicy: ClusterFirst
        nodeSelector:
          node-role.kubernetes.io/master: ""
        priorityClassName: system-cluster-critical
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        serviceAccount: service-ca-operator
        serviceAccountName: service-ca-operator
        terminationGracePeriodSeconds: 30
        tolerations:
        - effect: NoSchedule
          key: node-role.kubernetes.io/master
          operator: Exists
        - effect: NoExecute
          key: node.kubernetes.io/unreachable
          operator: Exists
          tolerationSeconds: 120
        - effect: NoExecute
          key: node.kubernetes.io/not-ready
          operator: Exists
          tolerationSeconds: 120
        volumes:
        - name: serving-cert
          secret:
            defaultMode: 400
            optional: true
            secretName: serving-cert
        - configMap:
            defaultMode: 440
            name: service-ca-operator-config
          name: config
  status:
    availableReplicas: 1
    fullyLabeledReplicas: 1
    observedGeneration: 1
    readyReplicas: 1
    replicas: 1
kind: ReplicaSetList
metadata:
  resourceVersion: "83410"
  selfLink: /apis/apps/v1/namespaces/openshift-service-ca-operator/replicasets
